com.verisign.epp.codec.signedMark

## Class EPPEncodedSignedMark

- java.lang.Object
- - com.verisign.epp.codec.signedMark.EPPSignedMark
  - - com.verisign.epp.codec.signedMark.EPPEncodedSignedMark

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPEncodedSignedMark
      extends EPPSignedMark

  Class for the encoded signed mark, which contains the mark (`EPPMark`), and additional elements associated with the signing of the mark like the serial number of the signed mark, the expiration of the signed mark, and the `XMLSignature` itself. This class extends `EPPSignedMark`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_ENCODED_SIGNED_MARK_LOCALNAME` Constant for the mark local name for encoded signedMark element
    `static java.lang.String` | `ELM_ENCODED_SIGNED_MARK_NAME` Constant for the mark tag for signedMark element

    - ### Fields inherited from class com.verisign.epp.codec.signedMark.EPPSignedMark

      `ELM_SIGNED_MARK_LOCALNAME, ELM_SIGNED_MARK_NAME, NS, NS_PREFIX, NS_SCHEMA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPEncodedSignedMark()` Create an `EPPEncodedSignedMark` instance.
    `EPPEncodedSignedMark(byte[] aEncodedSignedMarkArray)` Creates an `EPPEncodedSignedMark` that is initialized by decoding the input `byte[]`.
    `EPPEncodedSignedMark(EPPSignedMark aSignedMark)` Construct Encoded SignMark object from SignMark object.
    `EPPEncodedSignedMark(java.io.InputStream aSMD)` Creates an `EPPEncodedSignedMark` by decoding the a Signed Mark Data (SMD) that is in a PEM-like input stream that includes the encoded signed mark with a leading line "-----BEGIN ENCODED SMD-----" and a trailing "-----END ENCODED SMD-----".
    `EPPEncodedSignedMark(java.lang.String aId, EPPIssuer aIssuer, java.util.Date aNotBefore, java.util.Date aNotAfter, EPPMark aMark)` Create an `EPPEncodedSignedMark` with the id, issuer, not before date, not after date, and the mark attributes of the signed mark.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPEncodedSignedMark`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPSignedMark` component
    `byte[]` | `encode()` Encode the signed mark to a `byte[]`.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document

    - ### Methods inherited from class com.verisign.epp.codec.signedMark.EPPSignedMark

      `decode, equals, getAttrIdValue, getId, getIssuer, getLocalName, getMark, getNamespace, getNotAfter, getNotBefore, sign, sign, toString, validate, validate, validate`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_ENCODED_SIGNED_MARK_LOCALNAME

          public static final java.lang.String ELM_ENCODED_SIGNED_MARK_LOCALNAME

      Constant for the mark local name for encoded signedMark element
      See Also:
        Constant Field Values

    - #### ELM_ENCODED_SIGNED_MARK_NAME

          public static final java.lang.String ELM_ENCODED_SIGNED_MARK_NAME

      Constant for the mark tag for signedMark element
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPEncodedSignedMark

          public EPPEncodedSignedMark()

      Create an `EPPEncodedSignedMark` instance.

    - #### EPPEncodedSignedMark

          public EPPEncodedSignedMark(EPPSignedMark aSignedMark)
                               throws EPPEncodeException,
                                      EPPDecodeException

      Construct Encoded SignMark object from SignMark object.
      Parameters:
        `aSignedMark` - SignMark object
      Throws:
        `EPPEncodeException` - Error encoding the SignMark `byte[]`.
        `EPPDecodeException` - Error decoding the encoded SignMark `byte[]`.

    - #### EPPEncodedSignedMark

          public EPPEncodedSignedMark(java.lang.String aId,
                                      EPPIssuer aIssuer,
                                      java.util.Date aNotBefore,
                                      java.util.Date aNotAfter,
                                      EPPMark aMark)
                               throws EPPEncodeException,
                                      EPPDecodeException

      Create an `EPPEncodedSignedMark` with the id, issuer, not before date, not after date, and the mark attributes of the signed mark.
      Parameters:
        `aId` - Identifier of signed mark
        `aIssuer` - Signed mark issuer information
        `aNotBefore` - Date and time that the signed mark was created.
        `aNotAfter` - Date and time that the signed mark expires.
        `aMark` - Mark information
      Throws:
        `EPPEncodeException` - Thrown if any errors prevent encoding.
        `EPPDecodeException` - Error decoding the Issuer or Mark object.

    - #### EPPEncodedSignedMark

          public EPPEncodedSignedMark(byte[] aEncodedSignedMarkArray)
                               throws EPPDecodeException

      Creates an `EPPEncodedSignedMark` that is initialized by decoding the input `byte[]`.
      Parameters:
        `aEncodedSignedMarkArray` - `byte[]` to decode the attribute values
      Throws:
        `EPPDecodeException` - Error decoding the input `byte[]`.

    - #### EPPEncodedSignedMark

          public EPPEncodedSignedMark(java.io.InputStream aSMD)
                               throws EPPDecodeException

      Creates an `EPPEncodedSignedMark` by decoding the a Signed Mark Data (SMD) that is in a PEM-like input stream that includes the encoded signed mark with a leading line "-----BEGIN ENCODED SMD-----" and a trailing "-----END ENCODED SMD-----".
      Parameters:
        `aSMD` - `InputStream` containing a Signed Mark Data (SMD)
      Throws:
        `EPPDecodeException` - Error decoding the Signed Mark Data (SMD)

  - ### Method Detail

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPSignedMark` component
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Overrides:
        `decode` in class `EPPSignedMark`
      Parameters:
        `aElement` - Root element of the `EPPSignedMark`
      Throws:
        `EPPDecodeException` - Error decoding the `EPPSignedMark`

    - #### encode

          public byte[] encode()
                        throws EPPEncodeException

      Encode the signed mark to a `byte[]`.
      Overrides:
        `encode` in class `EPPSignedMark`
      Returns:
        Encoded signed mark
      Throws:
        `EPPEncodeException` - Error encoding the signed mark

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Sets all this instance's data in the given XML document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Overrides:
        `encode` in class `EPPSignedMark`
      Parameters:
        `aDocument` - a DOM Document to attach data to.
      Returns:
        The root element of this component.
      Throws:
        `EPPEncodeException` - Thrown if any errors prevent encoding.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPEncodedSignedMark`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPSignedMark`
      Returns:
        clone of `EPPEncodedSignedMark`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

Copyright © VeriSign Inc. All Rights Reserved.